<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-218"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FUI%2FUITextView%2BXHXPlaceholder.m%20%E6%96%87%E4%BB%B6%E5%8F%82%E8%80%83"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/UI/UITextView+XHXPlaceholder.m 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_text_view_09_x_h_x_placeholder_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">宏定义</a>  </div>
  <div class="headertitle">
<div class="title">UITextView+XHXPlaceholder.m 文件参考</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#import &#34;<a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html">UITextView+XHXPlaceholder.h</a>&#34;</code><br/>
<code>#import &lt;objc/runtime.h&gt;</code><br/>
</div><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
宏定义</h2></td></tr>
<tr class="memitem:a490bf7b6b2739a8b4778c865fbeca869"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#a490bf7b6b2739a8b4778c865fbeca869">k_text_view_place_holder</a>&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder&#34;</td></tr>
<tr class="separator:a490bf7b6b2739a8b4778c865fbeca869"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a02b16c01e4b9d4d07c2a0abe1fb15c07"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#a02b16c01e4b9d4d07c2a0abe1fb15c07">k_text_view_place_holder_label</a>&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder_label&#34;</td></tr>
<tr class="separator:a02b16c01e4b9d4d07c2a0abe1fb15c07"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a485d33e93188fe77a2f8b01a75a18a54"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#a485d33e93188fe77a2f8b01a75a18a54">k_text_view_place_holder_font</a>&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder_font&#34;</td></tr>
<tr class="separator:a485d33e93188fe77a2f8b01a75a18a54"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad2c3892af4131d4a2f1efda3cae1080b"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#ad2c3892af4131d4a2f1efda3cae1080b">k_text_view_place_holder_color</a>&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder_color&#34;</td></tr>
<tr class="separator:ad2c3892af4131d4a2f1efda3cae1080b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">宏定义说明</h2>
<a id="a490bf7b6b2739a8b4778c865fbeca869"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a490bf7b6b2739a8b4778c865fbeca869">◆&nbsp;</a></span>k_text_view_place_holder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define k_text_view_place_holder&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2c3892af4131d4a2f1efda3cae1080b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2c3892af4131d4a2f1efda3cae1080b">◆&nbsp;</a></span>k_text_view_place_holder_color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define k_text_view_place_holder_color&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder_color&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a485d33e93188fe77a2f8b01a75a18a54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a485d33e93188fe77a2f8b01a75a18a54">◆&nbsp;</a></span>k_text_view_place_holder_font</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define k_text_view_place_holder_font&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder_font&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a02b16c01e4b9d4d07c2a0abe1fb15c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02b16c01e4b9d4d07c2a0abe1fb15c07">◆&nbsp;</a></span>k_text_view_place_holder_label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define k_text_view_place_holder_label&nbsp;&nbsp;&nbsp;@&#34;text_view_place_holder_label&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_9cde51d9597d18d1cf89744ab1185a55.html">UI</a></li><li class="navelem"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html">UITextView+XHXPlaceholder.m</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>